Mailinglist Archive: opensuse-bugs (5005 mails)

< Previous Next >
[Bug 500447] Online Update for java-1_6_0-openjdk-plugin is broken (requires sqlite3)
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Tue, 5 May 2009 06:51:37 -0600 (MDT)
  • Message-id: <20090505125137.BFA9A245393@xxxxxxxxxxxxxxxxxxxxxx>
http://bugzilla.novell.com/show_bug.cgi?id=500447

User mvyskocil@xxxxxxxxxx added comment
http://bugzilla.novell.com/show_bug.cgi?id=500447#c8





--- Comment #8 from Michal Vyskocil <mvyskocil@xxxxxxxxxx> 2009-05-05 06:51:36
MDT ---
(In reply to comment #7)
I really wonder how this is handled by other
distributions since I don't believe it's going to work at all

I can tell you how it is done in Fedora 11, because I played with their Firefox
and openjdk yesterday to check some other bug. They have a following
dependency:
firefox -> xulrunner-1.9.1 -> libsqlite3x

Their xulrunner is linked against system wide libsql
ldd ./usr/lib64/xulrunner-1.9.1/libxul.so | grep sql
libsqlite3.so.0 => /usr/lib64/libsqlite3.so.0 (0x00007f2114591000)

seamonkey package is much bigger (16M) and don't have a libxul.so dependency
$ rpm -qp --requires seamonkey-1.1.15-3.fc11.x86_64.rpm | grep xul
$

Possible fix for openjdk-plugin should be build a second IcedTeaPlugin.so
against an older xulrunner and add a symlink to this so to
/usr/lib/seamonkey/plugins. Something similar as I used for Sun Java in
bug#476397

--
Configure bugmail: http://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >
References